% GNM_lsg_ini.m
% Kap. 9.8.1 und 9.8.2
% Initialisierungsdatei fr GNM_lsg.mdl, PWM.mdl und GNM_lsg_bode.mdl

% Parameter der Gleichstromnebenschlumaschine:

RA		= 0.25;					% Widerstand [Ohm]
LA		= 0.004;			    % Induktivitaet [H]
NA		= 60;					% Windungszahl =!= sqrt(LA/LE)*NE
psi	= 0.04;			        	% Flu [Vs]

J		= 0.012;				% Traegheitsmoment [kg m^2]
CM    = 2*NA/pi;
CE		= (2*NA/pi)*2*pi;		% Maschinenkonstante
Mw		= 10;      				% Widerstandsmoment [Nm]

Imax	= 20;                   % Max. Ankerstrom [A]
Umax	= 200;                  % Zwischenkreisspannung [V]

% Stellglied (PWM)

Fpwm	= 5000;					% Frequenz PWM [Hz]
TstrA	= 1 / Fpwm / 2;		    % Stromrichter als PT1
