% GNM_lsg_plot.m
% Kap. 9.8.1 und 9.8.2
% Graphische Darstellung der Simulationsergebnisse fr GNM_lsg.mdl

t		= UA (:,1);
UAist	= UA (:,2);
IAist	= IA (:,2);
Nist	= N (:,2) *60;

figure (1);
clf;

subplot (331);
if 1, % mit PWM
    stairs (t, UAist, 'm-');
    hold on;
	plot ([0 0.05 0.05 max(t)], [0 0 1 1]*50, 'b--');
    axis ([0.048 0.052 -40 240]);
    legend ('Ist', 'Soll', 2);
else % ohne PWM
	plot (t, UAist, 'm-');
    axis ([0 max(t) -40 240]);
end;
	xlabel ('Zeit [s]');
	title  ('Ankerspannung U_A [V]');

subplot (332);
	plot (t, IAist, 'm-');
	xlabel ('Zeit [s]');
	title  ('Ankerstrom I_A [A]');

subplot (333);
	plot (t, Nist, 'm-');
	xlabel ('Zeit [s]');
	title  ('Drehzahl N_ [U/min]');
