% PWM_plot.m
% Kap. 9.8.2
% Graphische Darstellung der Simulationsergebnisse von PWM.mdl

t		= UA (:,1) * 1000;
UAsoll	= UA (:,2);
UAoben	= UA (:,3);
UAunten	= UA (:,4);
UApwm	= UA (:,5);

figure (1);
clf;

subplot (311);
    plot (t, UAsoll, 'b--');
    hold on;
    stairs (t, UApwm, 'k-');
    plot (t, UAoben, 'm-');
    plot (t, UAunten, 'm-');
    axis ([0 max(t) -240 240]);
    legend ('Sollwert (Eingang)', 'Istwert (Ausgang)', 1);
	xlabel ('Zeit [ms]');
	title  ('PWM-Spannung [V]');

